# -*- coding: utf-8 -*-
# pylint: disable=W0622
"""cubicweb-i18nfield application packaging information"""

from os import listdir as _listdir
from os.path import join, isdir
from glob import glob

modname = 'i18nfield'
distname = 'cubicweb-i18nfield'

numversion = (0, 2, 0)
version = '.'.join(str(num) for num in numversion)

license = 'LGPL'
author = 'Florent Cayré (Villejuif, FRANCE)'
author_email = 'Florent Cayré <florent.cayre@gmail.com>'
description = 'Provides a way to translate entity fields individually.'
web = 'https://forge.extranet.logilab.fr/cubicweb/cubes/%s' % distname

__depends__ = {
    'cubicweb': '>= 3.24',
    'cubicweb-card': '>= 0.5',
}

__recommends__ = {}


THIS_CUBE_DIR = join('share', 'cubicweb', 'cubes', modname)


def listdir(dirpath):
    return [join(dirpath, fname) for fname in _listdir(dirpath)
            if fname[0] != '.' and not fname.endswith('.pyc')
            and not fname.endswith('~')
            and not isdir(join(dirpath, fname))]


data_files = [
    # common files
    [THIS_CUBE_DIR, [fname for fname in glob('*.py') if fname != 'setup.py']],
]

# check for possible extended cube layout
for dname in ('entities', 'views', 'sobjects', 'hooks', 'schema', 'data',
              'wdoc', 'i18n', 'migration'):
    if isdir(dname):
        data_files.append([join(THIS_CUBE_DIR, dname), listdir(dname)])

# Note: here, you'll need to add subdirectories if you want
# them to be included in the debian package
